Skip to content
The API may change between versions while TTX-Zone is 0.x.

List outbox

GET
/api/v1/instance/email/outbox
curl --request GET \
--url 'https://example.com/api/v1/instance/email/outbox?limit=25&offset=0' \
--cookie ttx_access_token=<ttx_access_token>

The outgoing messages and their state.

status
Any of:
string
Allowed values: pending sent failed
limit
Limit
integer
default: 25 >= 1 <= 100
offset
Offset
integer
0

Successful Response

Media typeapplication/json
EmailOutboxListResponse
object
items
required
Items
Array<object>
EmailOutboxRead

A queued or sent message, without its content.

object
attempts
required
Attempts
integer
created_at
required
Created At
string format: date-time
id
required
Id
string format: uuid
last_attempt_at
required
Any of:
string format: date-time
last_error
required
Any of:
string
locale
required
Locale
string
next_attempt_at
required
Next Attempt At
string format: date-time
sent_at
required
Any of:
string format: date-time
status
required
Status
string
template
required
Template
string
to_address
required
To Address
string
limit
required
Limit
integer
offset
required
Offset
integer
retention_days
required
Retention Days
integer
total
required
Total
integer

Example generated

{
"items": [
{
"attempts": 1,
"created_at": "2026-04-15T12:00:00Z",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"last_attempt_at": "2026-04-15T12:00:00Z",
"last_error": "example",
"locale": "example",
"next_attempt_at": "2026-04-15T12:00:00Z",
"sent_at": "2026-04-15T12:00:00Z",
"status": "example",
"template": "example",
"to_address": "example"
}
],
"limit": 1,
"offset": 1,
"retention_days": 1,
"total": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}